## pyfai 2023.8.0

=== debian/changelog ===
pyfai (2023.8.0-1) unstable; urgency=medium

  * New upstream version 2023.8.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 31 Aug 2023 13:28:48 +0200

pyfai (2023.5.0+dfsg1-9) unstable; urgency=medium

  * d/t/control: Make the OpenCL test verbose
  * d/rules: no more test during the build. Rely on autopkgtest to identify
    problematic architectures and on user bug report for all architectures.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 28 Jul 2023 15:13:34 +0200

pyfai (2023.5.0+dfsg1-8) unstable; urgency=medium

  * d/t/control: mark test as flaky for i386 and armel

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 27 Jul 2023 14:39:10 +0200

pyfai (2023.5.0+dfsg1-7) unstable; urgency=medium

  * d/t/control: set --low-mem to avoid problem on small architectures.
  * d/t/control: do not mark the OpenCL test as flaky now that
    it is restrain to 3 architectures.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop versioned constraint on python3-silx (>= 0.10.1).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 25 Jul 2023 10:50:52 +0200

pyfai (2023.5.0+dfsg1-6) unstable; urgency=medium

  * Set upstream metadata fields: Security-Contact.
  * d/control: remove the OpenCL test for i386
  * d/t/control: created a dedicated flaky test for OpenCL test.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 24 Jul 2023 12:57:33 +0200

pyfai (2023.5.0+dfsg1-5) unstable; urgency=medium

  * explicitely list the arch where OpenCL test are executed.
  * Bug fix: "pyfai_2023.5.0+dfsg1-3_all-buildd.changes REJECTED", thanks
    to Aurelien Jarno (Closes: #1041443).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 20 Jul 2023 17:21:08 +0200

pyfai (2023.5.0+dfsg1-4) unstable; urgency=medium

  * d/watch: no need to repack for next upstream version
  * d/control: B-D removed pocl-opencl-icd for armel.
  * d/t/control: removed pocl-opencl-icd [armel]

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Jul 2023 12:44:26 +0200

pyfai (2023.5.0+dfsg1-3) unstable; urgency=medium

  * d/control: use profile <!nodoc> for all B-D-I.
  * d/control: B-D added pocl-opencl-icd (for OpenCL tests)
  * d/rules: restore override_dh_auto_build-indep.
  * d/rules: Added verbosity to meson build.
  * d/rules: Activated the pyopencl compile output during tests.
  * d/rules: Reactivated the opencl test during the build.
  * d/t/control: Installed bitshuffle hdf5 filter for tests.
  * d/t/control: Added pocl-opencl-icd also for autopkgtest.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 18 Jul 2023 12:05:22 +0200

pyfai (2023.5.0+dfsg1-2) unstable; urgency=medium

  * d/rules: Fix installation of the scripts

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Jul 2023 16:03:22 +0200

pyfai (2023.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2023.5.0+dfsg1
  * d/control: B-D Added pybuild-plugin-pyproject and python3-mesonpy
  * d/control: B-D added python-dev-is-python3
  * d/control: B-D Added python3-hdf5plugin
  * d/control: B-D Added bitshuffle in order to pass tests
  * d/p/0004-embeded-transformation.py.patch: updated to embed also meson.build
  * d/rules: install scripts without setup.py
  * d/rules: removed execute_after_dh_install
  * d/rules: Do not build the manpage
  * d/rules: added execute_before_dh_install to install the scripts.
  * d/t/control: pyproject.toml is also expected to run the tests
  * d/watch: use the pypi redirector.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Jul 2023 14:09:18 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=pyfai

PY3VER := $(shell py3versions -dv)

# temporary until the 1/1/1970 issue is solved
SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -S Timestamp)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -f $(patsubst %.pyx,%.c,$(wildcard pyFAI/ext/*.pyx))
	rm -rf build/man
	rm -rf *.egg-info
	rm -f all_testimage.json fai_cfg.json lima_cfg.json profile.log

override_dh_auto_build-arch:
	PYBUILD_BUILD_ARGS="-Ccompile-args=--verbose" dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-arch
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(shell pybuild --build -i $(PY3VER) -s custom --build-args 'echo {build_dir}') \
	SPHINXBUILD="$(PY3VER) -m sphinx" \
	SPHINXOPTS="-D mathjax_path=MathJax.js" \
	sphinx-build -N -bhtml doc/source build/html
endif

# no test during build, only autopkgtest
override_dh_auto_test:

execute_after_dh_auto_install:
	dh_install -p pyfai debian/python3-pyfai/usr/bin /usr
	rm -rf debian/python3-pyfai/usr/bin

execute_after_dh_installdocs:
	dh_installdocs -p python-pyfai-doc "build/html"

execute_before_dh_fixperms:
	# hack until the 1/1/1970 issue is solved by upstream
	-find debian/pyfai -type f | xargs touch -d@${SOURCE_DATE_EPOCH}
	-find debian/python3-pyfai -type f | xargs touch -d@${SOURCE_DATE_EPOCH}
	-find debian/python-pyfai-doc -type f | xargs touch -d@${SOURCE_DATE_EPOCH}

## pyfai 2023.9.0

=== requirements.txt ===
wheel
meson-python
ninja
numpy
cython >=0.29.31
fabio
scipy
matplotlib
numexpr
h5py
silx >=1.1
PyOpenGL
PyQt5
hdf5plugin
transformations
nbsphinx

=== debian/changelog ===
pyfai (2023.9.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 13 Sep 2023 08:40:45 +0200

pyfai (2023.9.0-1) unstable; urgency=medium

  * New upstream version 2023.9.0
  * d/p/*: Removed previous patches series.
  * d/p/: Added a fix for the desktop files.
  * d/rules: Install the desktop and icons files

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 11 Sep 2023 15:47:51 +0200

=== debian/control ===
Source: pyfai
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Jerome Kieffer <jerome.kieffer@esrf.fr>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Section: science
Priority: optional
Build-Depends:
 bitshuffle <!nocheck>,
 cython3,
 debhelper,
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python-dev-is-python3,
 python3-all-dev,
 python3-fabio,
 python3-h5py,
 python3-hdf5plugin,
 python3-matplotlib,
 python3-mesonpy (>= 0.11),
 python3-numexpr,
 python3-numpy,
 python3-pip,
 python3-pyopencl,
 python3-pyqt5,
 python3-scipy,
 python3-setuptools,
 python3-silx,
 python3-sphinx,
 python3-tk,
 xauth,
 xvfb,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 help2man <!nodoc>,
 libjs-mathjax <!nodoc>,
 pandoc <!nodoc>,
 python3-nbsphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinxcontrib.programoutput <!nodoc>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/pyfai
Vcs-Git: https://salsa.debian.org/science-team/pyfai.git
Homepage: https://github.com/silx-kit/pyFAI
Rules-Requires-Root: no

Package: pyfai
Architecture: all
Depends:
 python3-pyfai (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Fast Azimuthal Integration scripts
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.

Package: python3-pyfai
Architecture: any
Section: python
Depends:
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Fast Azimuthal Integration scripts - Python3
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the Python 3 version of the package.

Package: python-pyfai-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Fast Azimuthal Integration scripts - Documentation
 PyFAI is a Python library for azimuthal integration; it allows the conversion
 of diffraction images taken with 2D detectors like CCD cameras into X-Ray
 powder patterns that can be used by other software like Rietveld refinement
 tools (i.e. FullProf), phase analysis or texture analysis.
 .
 As PyFAI is a library, its main goal is to be integrated in other tools like
 PyMca, LiMa or EDNA. To perform online data analysis, the precise description
 of the experimental setup has to be known. This is the reason why PyFAI
 includes geometry optimization code working on "powder rings" of reference
 samples. Alternatively, PyFAI can also import geometries fitted with other
 tools like Fit2D.
 .
 PyFAI has been designed to work with any kind of detector with any geometry
 (transmission, reflection, off-axis, ...). It uses the Python library FabIO
 to read most images taken by diffractometer.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -34,12 +34,10 @@
 execute_after_dh_auto_install:
 	dh_install -p pyfai debian/python3-pyfai/usr/bin /usr
 	rm -rf debian/python3-pyfai/usr/bin
+	dh_install -p pyfai applications/*.desktop /usr/share/applications/
+	dh_install -p pyfai doc/source/img/pyFAI-calib2.png /usr/share/icons/hicolor/48x48/apps
+	dh_install -p pyfai doc/source/img/pyFAI-diffmap.png /usr/share/icons/hicolor/48x48/apps
+	dh_install -p pyfai doc/source/img/pyFAI-integrate.png /usr/share/icons/hicolor/48x48/apps
 
 execute_after_dh_installdocs:
 	dh_installdocs -p python-pyfai-doc "build/html"
-
-execute_before_dh_fixperms:
-	# hack until the 1/1/1970 issue is solved by upstream
-	-find debian/pyfai -type f | xargs touch -d@${SOURCE_DATE_EPOCH}
-	-find debian/python3-pyfai -type f | xargs touch -d@${SOURCE_DATE_EPOCH}
-	-find debian/python-pyfai-doc -type f | xargs touch -d@${SOURCE_DATE_EPOCH}

=== debian/tests/control ===
# tests that must pass

Tests: no-opencl
Architecture: !amd64 !arm64 !armhf !i386 !armel
Depends:
 bitshuffle,
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable

Tests: opencl
Architecture: arm64 armhf
Depends:
 bitshuffle,
 pocl-opencl-icd,
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable

# flaky tests

Tests: no-opencl
Architecture: i386 armel
Depends:
 bitshuffle,
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable, flaky

Tests: opencl
Architecture: amd64
Depends:
 bitshuffle,
 pocl-opencl-icd,
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
version=4
opts=dversionmangle=auto \
 https://pypi.python.org/packages/source/p/pyfai/ \
 pyfai-@ANY_VERSION@@ARCHIVE_EXT@

## pyfai 2024.02

=== requirements.txt ===
wheel
meson-python
ninja
numpy >= 1.10
cython >=0.29.31
fabio
scipy
matplotlib
numexpr != 2.8.6
h5py
silx >= 2
PyOpenGL
PyQt5
hdf5plugin
nbsphinx

=== debian/changelog ===
pyfai (2024.02-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:20:30 +1100

pyfai (2024.02-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:16:00 +0100

pyfai (2024.02-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1056438
  * Fix watch file
  * cme fix dpkg-control
  * Import /usr/share/dpkg/pkg-info.mk to set SOURCE_DATE_EPOCH
  * Do not parse d/changelog (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 09:56:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,47 +1,45 @@
 Source: pyfai
-Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
-Uploaders:
- Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
- Jerome Kieffer <jerome.kieffer@esrf.fr>,
- Picca Frédéric-Emmanuel <picca@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+           Jerome Kieffer <jerome.kieffer@esrf.fr>,
+           Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends:
- bitshuffle <!nocheck>,
- cython3,
- debhelper,
- debhelper-compat (= 13),
- dh-python,
- dh-sequence-numpy3,
- dh-sequence-python3,
- pybuild-plugin-pyproject,
- python-dev-is-python3,
- python3-all-dev,
- python3-fabio,
- python3-h5py,
- python3-hdf5plugin,
- python3-matplotlib,
- python3-mesonpy (>= 0.11),
- python3-numexpr,
- python3-numpy,
- python3-pip,
- python3-pyopencl,
- python3-pyqt5,
- python3-scipy,
- python3-setuptools,
- python3-silx,
- python3-sphinx,
- python3-tk,
- xauth,
- xvfb,
-Build-Depends-Indep:
- dh-sequence-sphinxdoc <!nodoc>,
- help2man <!nodoc>,
- libjs-mathjax <!nodoc>,
- pandoc <!nodoc>,
- python3-nbsphinx <!nodoc>,
- python3-sphinx-rtd-theme <!nodoc>,
- python3-sphinxcontrib.programoutput <!nodoc>,
+Build-Depends: bitshuffle <!nocheck>,
+               cython3,
+               debhelper,
+               debhelper-compat (= 13),
+               dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python-dev-is-python3,
+               python3-all-dev,
+               python3-fabio,
+               python3-h5py,
+               python3-hdf5plugin,
+               python3-matplotlib,
+               python3-mesonpy,
+               python3-numexpr,
+               python3-numpy,
+               python3-pip,
+               python3-pyopencl,
+               python3-pyqt5,
+               python3-scipy,
+               python3-setuptools,
+               python3-silx,
+               python3-sphinx,
+               python3-tk,
+               xauth,
+               xvfb
+Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
+                     help2man <!nodoc>,
+                     libjs-mathjax <!nodoc>,
+                     pandoc <!nodoc>,
+                     python3-nbsphinx <!nodoc>,
+                     python3-sphinx-rtd-theme <!nodoc>,
+                     python3-sphinxcontrib.programoutput <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/pyfai
 Vcs-Git: https://salsa.debian.org/science-team/pyfai.git
@@ -50,11 +48,10 @@
 
 Package: pyfai
 Architecture: all
-Depends:
- python3-pyfai (>= ${source:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
+Depends: python3-pyfai (>= ${source:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: Fast Azimuthal Integration scripts
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -75,11 +72,10 @@
 Package: python3-pyfai
 Architecture: any
 Section: python
-Depends:
- python3-pyqt5,
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
+Depends: python3-pyqt5,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: Fast Azimuthal Integration scripts - Python3
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray
@@ -103,10 +99,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends:
- libjs-mathjax,
- ${misc:Depends},
- ${sphinxdoc:Depends},
+Depends: libjs-mathjax,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: Fast Azimuthal Integration scripts - Documentation
  PyFAI is a Python library for azimuthal integration; it allows the conversion
  of diffraction images taken with 2D detectors like CCD cameras into X-Ray

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PY3VER := $(shell py3versions -dv)
 
 # temporary until the 1/1/1970 issue is solved
-SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -S Timestamp)
+include /usr/share/dpkg/pkg-info.mk # sets SOURCE_DATE_EPOCH
 
 %:
 	dh $@ --buildsystem=pybuild

## pyfai 2024.05

=== requirements.txt ===
--- 
+++ 
@@ -13,3 +13,4 @@
 PyQt5
 hdf5plugin
 nbsphinx
+importlib_resources; python_version < '3.9'

=== debian/changelog ===
pyfai (2024.05-3) unstable; urgency=medium

  * d/rules: fix FTBFS with gcc-14 incompatible cython3 generated code.
    This is workround, look at here
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1077205
  * d/t/gui: reworked
  * refresh the patch series
  * d/rules: install the Appstream meta infos
  * d/copyright: updated thanks to lrc

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 05 Aug 2024 18:32:50 +0200

pyfai (2024.05-2) unstable; urgency=medium

  [ RAHLI Oussama ]
  * d/t/gui: Added to test all /usr/bin/ scripts

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Aug 2024 10:50:53 +0200

pyfai (2024.05-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "Segfault when closing a dialg", thanks to Picca
    Frédéric-Emmanuel (Closes: #1061938).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 28 May 2024 18:59:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pyfai
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
            Jerome Kieffer <jerome.kieffer@esrf.fr>,
            Picca Frédéric-Emmanuel <picca@debian.org>

=== debian/tests/control ===
--- 
+++ 
@@ -47,3 +47,12 @@
  xauth,
  xvfb,
 Restrictions: allow-stderr, skip-not-installable, flaky
+
+Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
+Depends:
+ debhelper,
+ mesa-utils,
+ @,
+ xauth,
+ xvfb,
+Restrictions: allow-stderr

## pyfai 2024.7.0~adev0

=== debian/changelog ===
pyfai (2024.7.0~adev0-1~bpo12+1) bookworm-backports; urgency=medium

  * upstream development build of pyFAI 2024.7.0-dev0
  * pyFAI snapshot 2024.7.0-dev0 built for debian12

 -- edna tester <tester@edna-site.org>  Tue, 03 Sep 2024 04:41:37 +0200

pyfai (2023.03.0-1) unstable; urgency=medium

  * Change build system to meson-python

 -- Jerome Kieffer <jerome.kieffer@esrf.fr>  Thu, 04 May 2023 10:00:00 +0200

## pyfai 2025.01

=== debian/changelog ===
pyfai (2025.01-3) unstable; urgency=medium

  * d/t/control: mark all OpenCL test as flaky for now

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 04 Mar 2025 10:04:39 +0100

pyfai (2025.01-2) unstable; urgency=medium

  * d/p/0003-skip-a-test-which-hang.patch: skip a test

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 03 Mar 2025 14:15:34 +0100

pyfai (2025.01-1) unstable; urgency=medium

  * New upstream version 2025.01
  * refresh patch series
  * Bug fix: "uninstallable with the current version of python3-numpy",
    thanks to Giacomo Mulas (Closes: #1095217).
  * Bug fix: "Debci errors with latest pocl", thanks to Andreas Tille
    (Closes: #1090744).
  * Bug fix: "FTBFS:
    src/pyFAI/ext/sparse_utils.cpython-312-x86_64-linux-gnu.so.p/src/pyFAI/ext/sparse_utils.pyx.c:45695:17:
    error: assignment to ‘struct
    __pyx_obj_5pyFAI_3ext_12sparse_utils_Vector *’ from incompatible
    pointer type ‘PyObject *’ {aka ‘struct _object *’}
    [-Wincompatible-pointer-types]", thanks to Lucas Nussbaum (Closes:
    #1077400).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 01 Mar 2025 14:25:12 +0100

pyfai (2024.09-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Drop patch that was applied upstream
  * Fix Python3.12 string syntax
    Closes: #1085805

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2024 09:48:35 +0100

## pyfai 2025.1.0~adev0

=== debian/changelog ===
pyfai (2025.1.0~adev0-1~bpo12+1) bookworm-backports; urgency=medium

  * upstream development build of pyFAI 2025.1.0-dev0
  * pyFAI snapshot 2025.1.0-dev0 built for debian12

 -- edna tester <tester@edna-site.org>  Thu, 30 Jan 2025 04:43:49 +0100

## pyfai 2025.03

=== requirements.txt ===
--- 
+++ 
@@ -13,4 +13,6 @@
 PyQt5
 hdf5plugin
 nbsphinx
+pydata-sphinx-theme
 importlib_resources; python_version < '3.9'
+sphinxcontrib.programoutput

=== debian/changelog ===
pyfai (2025.03-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Oct 2025 14:58:20 +0000

pyfai (2025.03-1) unstable; urgency=medium

  * New upstream version 2025.03

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 14 Mar 2025 09:48:01 +0100

=== debian/tests/control ===
# tests that must pass

Tests: no-opencl
Architecture: !amd64 !arm64 !armel !armhf !i386
Depends:
 bitshuffle,
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable

Tests: opencl
Architecture: amd64 arm64 armel armhf i386
Depends:
 bitshuffle,
 pocl-opencl-icd,
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 @,
 xauth,
 xvfb,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/silx-kit/pyFAI//tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## pyfai 2025.12.1

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,8 @@
 h5py
 silx >= 2
 PyOpenGL
-PyQt5
+PySide6; python_version < '3.14'
+pyqt6; python_version >= '3.14'
 hdf5plugin
 nbsphinx
 pydata-sphinx-theme

=== debian/changelog ===
pyfai (2025.12.1-2) unstable; urgency=medium

  * d/t/opencl: run only test of the pyFAI.opencl module.
    skip for now the medfilt test.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 15 Jan 2026 14:41:29 +0100

pyfai (2025.12.1-1) unstable; urgency=medium

  [ James Addison ]
  * pyFAI: enable Sphinx autodoc preservation of method-argument defaults
  * Bug fix: "please make the package build reproducible", thanks to James
    Addison (Closes: #1078268).

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 2025.12.1
  * first attempt to add rocm autopkgtests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 07 Jan 2026 15:12:48 +0100

=== debian/tests/control ===
# tests that must pass

Test-Command: no-opencl
Architecture: !amd64 !arm64 !armel !armhf !i386
Depends:
 bitshuffle,
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
 python3-pyqt5.qtopengl,
 python3-pyqt5,
 libgl1-mesa-glx,
Features: test-name=no-opencl
Restrictions: allow-stderr, skip-not-installable


Test-Command: rocm-test-launcher debian/tests/opencl
Architecture: amd64 arm64 armel armhf i386
Depends:
 bitshuffle,
 rocm-opencl-icd,
 pkg-rocm-tools,
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
Features: test-name=opencl-rocm
Restrictions: allow-stderr, skip-not-installable, skippable

Test-Command: debian/tests/opencl
Architecture: amd64 arm64 armel armhf i386
Depends:
 bitshuffle,
 pocl-opencl-icd,
 clinfo,
 python3-all,
 python3-pyfai,
 python3-tk,
 xauth,
 xvfb,
Features: test-name=opencl-pocl
Restrictions: allow-stderr, skip-not-installable


Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 @,
 xauth,
 xvfb,
Restrictions: allow-stderr
